|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD | |||||||||
java.lang.Objectjava.lang.Enum<ParameterStyle>
net.oauth.ParameterStyle
public enum ParameterStyle
Where to place OAuth parameters in an HTTP message. The alternatives are summarized in OAuth Core under Consumer Request Parameters.
| Enum Constant Summary | |
|---|---|
AUTHORIZATION_HEADER
Send parameters whose names begin with "oauth_" in an HTTP header, and other parameters (whose names don't begin with "oauth_") in either the message body or URL query string. |
|
BODY
Send all parameters in the message body, with a Content-Type of application/x-www-form-urlencoded. |
|
QUERY_STRING
Send all parameters in the query string part of the URL. |
|
| Method Summary | |
|---|---|
static ParameterStyle |
valueOf(java.lang.String name)
Returns the enum constant of this type with the specified name. |
static ParameterStyle[] |
values()
Returns an array containing the constants of this enum type, in the order they are declared. |
| Methods inherited from class java.lang.Enum |
|---|
clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf |
| Methods inherited from class java.lang.Object |
|---|
getClass, notify, notifyAll, wait, wait, wait |
| Enum Constant Detail |
|---|
public static final ParameterStyle AUTHORIZATION_HEADER
public static final ParameterStyle BODY
public static final ParameterStyle QUERY_STRING
| Method Detail |
|---|
public static ParameterStyle[] values()
for (ParameterStyle c : ParameterStyle.values()) System.out.println(c);
public static ParameterStyle valueOf(java.lang.String name)
name - the name of the enum constant to be returned.
java.lang.IllegalArgumentException - if this enum type has no constant
with the specified name
java.lang.NullPointerException - if the argument is null
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD | |||||||||